
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <USBKit.h>

class Roster : public USBRoster
{
public:
	virtual status_t DeviceAdded(USBDevice *dev){
		fprintf(stderr,"added %s @ '%s'\n",
				dev->IsHub() ? "hub" : "device", dev->Location());
		fprintf(stderr,"Product ID/VendorID : 0x%X/0x%X\n",dev->VendorID(), dev->ProductID());
		return B_OK;
	}
	virtual void DeviceRemoved(USBDevice *dev){
		fprintf(stderr,"removed %s @ '%s'\n",
				dev->IsHub() ? "hub" : "device", dev->Location());
		fprintf(stderr,"Product ID/VendorID : 0x%X/0x%X\n",dev->VendorID(), dev->ProductID());
	}	
};

int main(int argc, char *argv[])
{
	Roster roster;
	roster.Start();
	
	while(1) {
		// wait around and let the roster do its thing
		snooze(1000000); 
	}
	
	return 0;
}
